Page MenuHomePhabricator

New Pages Feed: add drafts to the feed (1.1)
Closed, ResolvedPublic8 Story Points

Description

The work in this task and in T195924 and T196181 make up the first useful feature change that we could roll out to users. The work in the task roughly accomplishes this user story:

  • As a reviewer, I need to filter to all drafts (not only those submitted to AfC).

Specifically, the work is to:

  • Add all pages in draft space to the New Pages Feed. We do not need to add user pages submitted to AfC.
  • Add a radio button toggle at the top of the feed so that a reviewer chooses whether they are doing "New page patrol" or "Articles for Creation". Only one of those options can be selected at a time. Note that this toggle is not on the scrolling gray header bar that contains the sorting and filtering dialogues. It is above that, on the page itself.
  • When "New page patrol" is selected, the New Pages Feed is the same as it has always been.
  • When "Articles for Creation" is selected:
    • The feed is filtered by to all pages in the draft namespace.
    • The "Sort by" options are the same as always, with "Newest" and "Oldest" just referring to creation date, as it does for the feed currently.
    • It does not matter what is in the "Set filters" menu. It could either be blank, not able to open, or contain the same options as when "New page patrol" is selected. The reason this doesn't matter is that the work in this task would likely not roll out until T195924 is also complete, which is the work to add the appropriate AfC filters to the "Set filters" menu.
    • It does not matter what is written next to the word "Showing" in the list's header, e.g. "Showing: reviewed". It could just say "Showing: all drafts" for now. Also pending the work in T195924.
    • Drafts in the feed can all have the blue exclamation point icon.
    • When using the New Pages Feed currently, users with the "new page reviewer" right will see a blue "Review" button next to each entry in the list. That button is simply a link to the page, and we can just keep the existing logic and let it be present next to all entries in the list when AfC is selected, as well (for users that have the "new page reviewer" right).
  • The page list in the feed remains unchanged, retaining the elements of page title, bytes, edits, etc, EXCEPT for the indicators of number of categories and whether the page is an orphan. Those should not be shown for drafts, because they are not relevant.
  • When drafts are listed in the feed, their title should include their "Draft:" prefix, e.g. "Draft:Abeotaxane".

Note: the specifics listed above and the wireframe shown below may be changed by ongoing community conversation around the design, which can be found here.

Here is a wireframe of what the feed would look like after this work, showing the NPP/AfC toggle (note that this wireframe does not show many of the details that should remain unchanged, like the info listed with each page in the list):

Event Timeline

MMiller_WMF renamed this task from New Pages Feed: add drafts to the feed to New Pages Feed: add drafts to the feed (1).May 25 2018, 12:07 AM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)May 25 2018, 12:09 AM
MMiller_WMF updated the task description. (Show Details)May 28 2018, 6:46 PM
MMiller_WMF updated the task description. (Show Details)May 28 2018, 7:17 PM
MMiller_WMF updated the task description. (Show Details)May 28 2018, 8:49 PM
MMiller_WMF updated the task description. (Show Details)May 28 2018, 9:28 PM
MMiller_WMF renamed this task from New Pages Feed: add drafts to the feed (1) to New Pages Feed: add drafts to the feed (1.1).May 29 2018, 10:01 PM
MMiller_WMF updated the task description. (Show Details)
kaldari set the point value for this task to 8.May 29 2018, 11:52 PM

When using the New Pages Feed currently, users with the "new page reviewer" right will see a blue "Review" button next to each entry in the list. That button is simply a link to the page, and we can just keep the existing logic

We should pass in a URL parameter, perhaps review=1, that doesn't do anything on our end, but could be used by the AfC script to auto-expand the review interface.

LGoto assigned this task to Samwilson.May 30 2018, 11:08 PM
MMiller_WMF updated the task description. (Show Details)Jun 1 2018, 5:21 PM

Change 436472 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageTriage@master] Add Draft namespace pages to the queue

https://gerrit.wikimedia.org/r/436472

MMiller_WMF updated the task description. (Show Details)Jun 15 2018, 9:13 PM

@MusikAnimal and @Samwilson -- I'm letting you know that I changed a requirement in the description after a conversation with @MusikAnimal and @Whatamidoing-WMF regarding a thought brought up by an AfC reviewer. @MusikAnimal indicated that this change would not be a challenge to implement:

The page list in the feed remains unchanged, retaining the elements of page title, bytes, edits, etc, EXCEPT for the indicators of number of categories and whether the page is an orphan. Those should not be shown for drafts, because they are not relevant.

Thank you, and let me know if you have any questions.

Change 436472 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageTriage@master] Add Draft namespace pages to the queue

https://gerrit.wikimedia.org/r/436472

Change 436472 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add Draft namespace pages to the queue

https://gerrit.wikimedia.org/r/436472

β€’ Vvjjkkii renamed this task from New Pages Feed: add drafts to the feed (1.1) to ibcaaaaaaa.Jul 1 2018, 1:08 AM
β€’ Vvjjkkii removed Samwilson as the assignee of this task.
β€’ Vvjjkkii triaged this task as High priority.
β€’ Vvjjkkii updated the task description. (Show Details)
β€’ Vvjjkkii removed the point value for this task.
β€’ Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ibcaaaaaaa to New Pages Feed: add drafts to the feed (1.1).Jul 2 2018, 3:49 PM
CommunityTechBot assigned this task to Samwilson.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 8.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
MMiller_WMF added a subscriber: Mooeypoo.EditedJul 5 2018, 9:24 PM

@Mooeypoo @Samwilson @MusikAnimal -- I learned some more about redirects that will hopefully help us decide how to treat them in the feed.

  • In the Draft namespace, there are 83,327 pages. 44,018 are redirects.
  • The vast majority of those redirects (or potentially all of them) are redirects that get created when a Draft page is moved from Draft space to Main space. In other words, it's not that they are suggested redirects -- they are redirects from former draft pages that have already gone through AfC. They will never need any sort of attention again.
  • The process through which new redirects are proposed actually doesn't create Draft pages. It looks like it adds a section to a proposal page, and when the proposal is approved, the reviewer creates a mainspace redirect. There are a couple hundred of these per month.

Given this background, I think we should exclude redirects from the New Pages Feed. That's because I don't believe that there are use cases in which reviewers would look at a queue of redirects with the intention to do anything with them, and I worry that the ~44,000 redirects will clutter the feed.

But we should discuss.

I worry that the ~44,000 redirects will clutter the feed

Apparently we are not using the showredirs option when in AfC mode, so redirects aren't shown anyway.

But we are still storing them in the database. I agree redirects in the draft space don't really need review, so it seems having this data (whether or not we show it) is not necessary.

Change 444153 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageTriage@master] Do not include Draft NS redirects in the queue

https://gerrit.wikimedia.org/r/444153

Change 444153 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Do not include Draft NS redirects in the queue

https://gerrit.wikimedia.org/r/444153

@MMiller_WMF this is on testwiki, ready for your review.

@Etonkovidova -- this is ready for you to test.

MaxSem removed a subscriber: MaxSem.Jul 12 2018, 6:39 PM
Etonkovidova updated the task description. (Show Details)Jul 31 2018, 4:46 PM
Etonkovidova updated the task description. (Show Details)Jul 31 2018, 4:53 PM

@MMiller - I've tested the task - most of the specs are in; no additional issues have been found. Please take a quick look to make sure that there are no showstoppers.

I marked with the points that depend on other tickets and where the specs seems to be outdated. Specifically:

(1)

We do not need to add user pages submitted to AfC.

The option for 'Review(AFCH)' does exist for pages created in User namespace (for example, in Sandbox), but the User pages submitted for review are not shown on Special:NewPagesFeed by any filters.

(2)

Note that this toggle is not on the scrolling gray header bar that contains the sorting and filtering dialogues. It is above that, on the page itself.

It's not how it was implemented:

(3) And the following refers to additional tasks, so it's out of scope of this ticket:

It does not matter what is in the "Set filters" menu. It could either be blank, not able to open, or contain the same options as when "New page patrol" is selected. The reason this doesn't matter is that the work in this task would likely not roll out until T195924 is also complete, which is the work to add the appropriate AfC filters to the "Set filters" menu.
It does not matter what is written next to the word "Showing" in the list's header, e.g. "Showing: reviewed". It could just say "Showing: all drafts" for now. Also pending the work in T195924.

Niharika removed a subscriber: Niharika.Aug 1 2018, 4:56 AM
MMiller_WMF closed this task as Resolved.Aug 1 2018, 10:25 PM
MMiller_WMF moved this task from QA to Q1 2018-19 on the Community-Tech-Sprint board.

@Etonkovidova -- I am all good with everything on this task, including the exceptions you found. I am resolving the task.